summaryrefslogtreecommitdiff
path: root/devel/linux_devtools-6/pkg-install
diff options
context:
space:
mode:
authorSheldon Hearn <sheldonh@FreeBSD.org>2000-08-15 10:22:36 +0000
committerSheldon Hearn <sheldonh@FreeBSD.org>2000-08-15 10:22:36 +0000
commit4e28d4de05080ad0b7b8856a3d4b645e47378d55 (patch)
treea7c667b9dd9e0be60fd47ff3bf6068ea94e1b149 /devel/linux_devtools-6/pkg-install
parentAdd py-gnome into RUN_DEPENDS. (diff)
Do not rely on the linux(8) shell script. Instead, use an INSTALL
script so that the behaviour of a package installation matches that of a port installation identically. Note that, in the package case, we already have a valid run-time linker hints file for Linux.
Diffstat (limited to '')
-rw-r--r--devel/linux_devtools-6/pkg-install17
1 files changed, 17 insertions, 0 deletions
diff --git a/devel/linux_devtools-6/pkg-install b/devel/linux_devtools-6/pkg-install
new file mode 100644
index 000000000000..957ee313fa57
--- /dev/null
+++ b/devel/linux_devtools-6/pkg-install
@@ -0,0 +1,17 @@
+#!/bin/sh
+# an installation script for linux_devtools
+
+case "$2" in
+PRE-INSTALL)
+ if [ -z "`kldstat -v | ${GREP} -E 'linux(aout|elf)'`" ]; then
+ echo 'Linux mode is not enabled.'
+ echo 'Loading linux kernel module now...'
+ if ! kldload linux; then
+ echo 'The linux kernel module could not be loaded.'
+ echo 'Please enable linux mode manually and retry.'
+ exit 1
+ fi
+ ;;
+esac
+
+exit 0